//--- Get a service instance
var addService = telosys.getService( "Add" , processAddResponse);

//----------------------------------------------------------------------------------------------------
function add()
{
    var sParam1 = fwkGetValue("param1");
    var sParam2 = fwkGetValue("param2");
	alert("Add ( " + sParam1 + ", " + sParam2 +" )");
    addService.call(sParam1, sParam2); // Call with anonymous parameters (p1=..,p2=..)
}
//----------------------------------------------------------------------------------------------------
function processAddResponse(oResponse) // ScreenResponse oResponse
{
	if ( oResponse.reportsErrors() )
	{
		oResponse.showAllErrors();
	}
	else
	{
		var sResult = oResponse.getValue("result");
		alert ( "OK : Result = " + sResult );
		fwkSetValue("result", sResult);
	}
}
//----------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------
function actionOpen()
{
	alert ( "TRACE : actionOpen() : Not implemented");
}
//----------------------------------------------------------------------------------------------------
function actionClose()
{
	alert ( "TRACE : actionClose() : Not implemented ");
}
//----------------------------------------------------------------------------------------------------
function actionSet()
{
	alert ( "TRACE : actionSet() : Not implemented ");
}
//----------------------------------------------------------------------------------------------------
function actionGet()
{
	alert ( "TRACE : actionGet() : Not implemented  ");
}
//----------------------------------------------------------------------------------------------------
function actionClear()
{
	alert ( "TRACE : actionClear() : Not implemented  ");
}
//----------------------------------------------------------------------------------------------------
function actionLoad()
{
	alert ( "TRACE : actionLoad() : Not implemented  ");
}
//----------------------------------------------------------------------------------------------------
function actionSave()
{
	alert ( "TRACE : actionSave() : Not implemented  ");
}
//----------------------------------------------------------------------------------------------------
function actionInsert()
{
	alert ( "TRACE : actionInsert() : Not implemented  ");
}
//----------------------------------------------------------------------------------------------------
function actionUpdate()
{
	alert ( "TRACE : actionUpdate() : Not implemented  ");
}
//----------------------------------------------------------------------------------------------------
function actionDelete()
{
	alert ( "TRACE : actionDelete() : Not implemented  ");
}
//----------------------------------------------------------------------------------------------------
function actionSearch()
{
	alert ( "TRACE : actionSearch() : Not implemented  ");
}
//----------------------------------------------------------------------------------------------------
