package org.demo.env.navig ;

import javax.servlet.http.HttpServletRequest;

import org.objectweb.telosys.uil.screenmap.ScreenMap;
import org.objectweb.telosys.uil.screenmap.ScreenMapServlet;

/**
 * ScreenMap servlet extension for navigation notification
 * 
 */
public class ScreenMapServletExt extends ScreenMapServlet
{
	private static final long serialVersionUID = 1L;

	protected void navigation( HttpServletRequest httpServletRequest, ScreenMap screenmap) 
    {
        System.out.println("===== navigation from screenmap ( see ScreenMapServletExt ) =====");
        System.out.println(". name = " + screenmap.getName());
        System.out.println(". path = " + screenmap.getTargetPath());
        
        String sURI = httpServletRequest.getRequestURI() ;
        String sQueryString = httpServletRequest.getQueryString() ;
        
        String s = sURI ;
        if ( sQueryString != null )
        {
            s = sURI + "?" + sQueryString ;
        }
        
        System.out.println(". URI with params = " + s );

        // For example : history manager
        // NavigationHistoryManager.add(httpServletRequest);
    }
}
