package org.demo.env.navig ;

import javax.servlet.http.HttpServletRequest;

import org.objectweb.telosys.common.View;
import org.objectweb.telosys.rpl.ServiceServlet;
import org.objectweb.telosys.service.ScreenService;

/**
 * Service servlet extension for navigation notification
 * 
 */
public class ServiceServletExt extends ServiceServlet
{
	private static final long serialVersionUID = 1L;

	protected void navigation( HttpServletRequest httpServletRequest, ScreenService service, View view )
    {
        System.out.println("===== navigation from service ( see ServiceServletExt ) =====");
        System.out.println(". service name = " + service.getName());
        
        String sURI = httpServletRequest.getRequestURI() ;
        String sQueryString = httpServletRequest.getQueryString() ;
        
        String s = sURI ;
        if ( sQueryString != null )
        {
            s = sURI + "?" + sQueryString ;
        }
        
        System.out.println(". URI with params = " + s );
        
        // For example : history manager
        // NavigationHistoryManager.add(httpServletRequest);
    }
}
