<%@ taglib uri="/telosys" prefix="t" %> 

<!-- Use "ScreenConfig" to override the conventions and to define specific values
[ScreenConfig]

// specific context : name, id, action
// contextname = S003
// contextid   = -1
// contextaction = open

// specific template 
// template = TplElements.jsp

// template values
$title = Test screen 2
// $element1 = (Element 1)
// $element2 = (Element 2)

// template parts
// %part1 =   /screen/element/msg1.inc

[/ScreenConfig]
-->

<t:screenbody style="position: relative; width: 100%; height: 100%; overflow: auto;" data="person" >

 <t:label x="40" y="30"  txt="'TEST2' screen with context on the server side " style="font: bold 18pt Arial" />
 <t:label x="40" y="64"  txt="See Java classes : Test2Data.java, Test2Mgr.java, Person.java" style="font: bold 10pt Arial" />
 
 <t:set x="40" y="100" ygap="40" /> 
 <t:label y="y++" txt="Id : " />
 <t:label y="y++" txt="First name : " />
 <t:label y="y++" txt="Last name : " />
 <t:label y="y++" txt="Age : " />
 
 <t:label y="y++" txt="Test : OPEN context, use GET/SET/CLEAR actions, CLOSE context" />
 <t:label y="y++" txt="TIP : after an action, use the [F12] key to see the request and the response in XML" />
 
 <t:set x="200" y="100" ygap="40" /> 
 <t:field y="y++" id="id"        maxlength="5"  value="0"  data="#"  type="int" min="0" max="99999" required="true"  /> 
 <t:field y="y++" id="firstName" maxlength="20" value=""  data="#" /> 
 <t:field y="y++" id="lastName"  maxlength="20" value=""  data="#" /> 
 <t:field y="y++" id="age"       maxlength="3"  value="0"  data="#" type="int" min="0" max="140" required="true"/> 

</t:screenbody>