<%-- HTML Screen Template --%>
<%@ page language="java" pageEncoding="iso-8859-1" contentType="text/html; charset=iso-8859-1" %>
<%@ taglib uri="/telosys" prefix="t" %> 
<!DOCTYPE HTML PUBLIC "-//w3c//dtd html 4.0 transitional//en"> 
<t:no_cache/>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><t:element name="title" /></title>

<%-- ======================================================================================= --%>  
<%--                                 STYLE ( CSS )                                           --%>  
<%-- ======================================================================================= --%>   
<t:import_css_framework /> <%-- Standard CSS from Telosys --%>  
<t:import_css path="/screen/css/standard.css" /> <%-- Standard CSS for the project --%>
<t:import_css />  <%-- Current Screen CSS ( ScreenName.css ) --%> 

<%-- ======================================================================================= --%>  
<%--                                 SCRIPTING ( JavaScript )                                --%>  
<%-- ======================================================================================= --%>  
<t:import_js_framework /> <%-- Telosys Javascript framework ( telosys.js ) --%> 

<%-- Insert here application common scripts ( JavaScript ) --%> 
<t:import_js path="/js/standard_actions.js" />

<%-- Init the telosys client side environment --%> 
<t:init_env  var_actions="actions" var_screen="theScreen"  var_keyboard="keyboard"  var_browser="browser" />

<%-- Screen JavaScript ( ScreenName.js )  --%> 
<t:import_js /> <!-- /screen/script/ScreenName.js -->

<%-- F12 : Show last Screen Action --%> 
<script type="text/javascript"> 
	function debugShowLastServiceCall()
	{
			//alert("debugShowLastServiceCall()");	
			ScreenServiceLastCall.show();	
	}

	function debugShowLastActionCall()
	{
			actions.showLastAction();		
	}
	
	keyboard.setKeyAction(Keyboard.F9,  debugShowLastServiceCall,  Keyboard.EVT_KEY_DOWN );
	keyboard.setKeyAction(Keyboard.F12, debugShowLastActionCall,   Keyboard.EVT_KEY_DOWN );
		
</script>

</head>

<%-- ======================================================================================= --%>  
<%--                               TEMPLATE HTML BODY                                        --%>  
<%-- ======================================================================================= --%>  
<body style="color:#000066; margin:0; overflow:hidden"> 
 
  <table width="100%" style="height:100%;width:100%; overflow:auto" cellpadding="0" cellspacing="0">
  
  <tr > <%-- Menu Zone --%>
    <td bgcolor="#CCCCCC" align="center" valign="top"
        style="height:22px; font-family: Arial, Helvetica, sans-serif; font-size: 14px; color: #FFFFFF; font-weight: bold;" 
    >
    === <t:element name="title" /> === &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ( screen name : <t:screen_name/> / context id = <t:screen_id/> )  
    </td>
  </tr>
  
  <tr  > <%-- Thin line --%>
    <td height="1"  bgcolor="#999999"></td>
  </tr>
  
  <tr> <%-- Screen Zone --%>
    <td height="100%" bgcolor="#DAE4E6" valign="top" align="center" >
    <%-- ============================================================================= --%>
    <%--                                    SCREEN  BODY                               --%>
    <%-- ============================================================================= --%>
	<t:include_body/> <%-- The screen body is inserted HERE --%>
    <%-- ============================================================================= --%>
    </td>
  </tr>
  
  <tr> <%-- Thin line --%>
    <td height="1"  bgcolor="#999999"></td>
  </tr>

  <tr> <%-- Buttons --%>
    <td   bgcolor="#999999">
    	<t:include path="/include/actions_bar.jsp" />
    </td>
  </tr>
  
  <tr> <%-- Message Zone --%> 
    <td height="15" bgcolor="#CCCCCC" valign="top" 
        style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; font-weight: bold;">
        <span id="MessageZone">&nbsp;Message zone </span>
    </td>
  </tr>
 </table>

</body>
</html>
