package org.demo.env;

import org.objectweb.telosys.service.StandardServiceRegistry;


/**
 * Telosys Services Registry 
 *  
 */
public class ServiceRegistry extends StandardServiceRegistry
{
    /**
     *  
     */
    public ServiceRegistry()
    {        
        super();
        initRegistry();
        
        /*
         * Define here the packages for dynamic service search.
         * It's the simplest way to call services by their class name
         * without registering them.
         * Example : http://...../PingService.svc
         */
        // registerServicePackage("org.demo.service.rpc" );   
        
        /* 
         * The services packages can also be defined in the "telosys.properties" configuration file
         */
    }

    /**
     * Initialize the registry with the application services 
     * Useful to 
     * . associate a specific name to a service ( other thant its class name )
     * . set a renderer and/or a session key for a service
     * 
     */
    public void initRegistry()
    {
    	// Register your services here
        // Parameters :
        //       Name,      Class,     Renderer,    SessionKey
    	// register("ping",          PingService.class, null, null );
    	
    	// Examples :
    	// register("add",     Add.class,     null,                   null );
    	// register("addview", AddView.class, "renderer/AddView.jsp", null );
    }
}