/*
 * Screen Context Data class 
 * Created on 12 juil. 2010 ( Time 18:08:04 )
 */

package org.demo.screen.test2;

import org.demo.vo.bean.Person;
import org.objectweb.telosys.common.TelosysException;
import org.objectweb.telosys.screen.core.StandardScreenData;

/**
 * This class defines the Screen Context Data elements 
 *
 * @author Telosys Team
 *
 */
public class Test2Data extends StandardScreenData 
{
    private static final long serialVersionUID = 1L;

	//--------------------------------------------------------------
	// Element(s) name(s)
	//--------------------------------------------------------------
	private final static String PERSON = "person";
	
    /**
     * Default constructor.
     */
	public Test2Data() throws TelosysException 
	{
		super();
		defineElement(PERSON, Person.class);
	}
	
	//--------------------------------------------------------------
	// Element(s) getter(s)/setter(s)
	//--------------------------------------------------------------	
    public Person getPerson()
    {
        return (Person) getElement(PERSON); 
    }
    public void setPerson(Person v)
    {
    	setElement(PERSON, v);
    }
}
